| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Attributes | List of all members
cv::parallel::tbb::ParallelForBackend Class Reference
Core functionality » Parallel Processing » Parallel backends API

`#include <opencv2/core/parallel/backend/parallel_for.tbb.hpp>`

Collaboration diagram for cv::parallel::tbb::ParallelForBackend:

## Classes
class | CallbackProxy

## Public Member Functions
| ParallelForBackend ()
virtual | ~ParallelForBackend ()
const char * | getName () const CV_OVERRIDE
virtual int | getNumThreads () const CV_OVERRIDE
virtual int | getThreadNum () const CV_OVERRIDE
virtual void | parallel_for (int tasks, FN_parallel_for_body_cb_t body_callback, void *callback_data) CV_OVERRIDE
virtual int | setNumThreads (int nThreads) CV_OVERRIDE
Public Member Functions inherited from cv::parallel::ParallelForAPI
virtual | ~ParallelForAPI ()

## Protected Attributes
int | numThreads
int | numThreadsMax

## Additional Inherited Members
Public Types inherited from cv::parallel::ParallelForAPI
typedef void(*) | FN_parallel_for_body_cb_t(int start, int end, void *data)

## Detailed Description

TBB parallel_for API implementation

See also
  setParallelForBackend

## Constructor & Destructor Documentation

## ◆ ParallelForBackend()

cv::parallel::tbb::ParallelForBackend::ParallelForBackend | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ ~ParallelForBackend()

virtual cv::parallel::tbb::ParallelForBackend::~ParallelForBackend | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getName()

const char * cv::parallel::tbb::ParallelForBackend::getName | ( |  | ) | const
| inline virtual

Implements cv::parallel::ParallelForAPI.

## ◆ getNumThreads()

virtual int cv::parallel::tbb::ParallelForBackend::getNumThreads | ( |  | ) | const
| inline virtual

Implements cv::parallel::ParallelForAPI.

Here is the call graph for this function:

## ◆ getThreadNum()

virtual int cv::parallel::tbb::ParallelForBackend::getThreadNum | ( |  | ) | const
| inline virtual

Implements cv::parallel::ParallelForAPI.

## ◆ parallel_for()

virtual void cv::parallel::tbb::ParallelForBackend::parallel_for | ( | int | tasks,
|  | FN_parallel_for_body_cb_t | body_callback,
|  | void * | callback_data )
| inline virtual

Implements cv::parallel::ParallelForAPI.

## ◆ setNumThreads()

virtual int cv::parallel::tbb::ParallelForBackend::setNumThreads | ( | int | nThreads | ) |
| inline virtual

Implements cv::parallel::ParallelForAPI.

Here is the call graph for this function:

## Member Data Documentation

## ◆ numThreads

int cv::parallel::tbb::ParallelForBackend::numThreads
| protected

## ◆ numThreadsMax

int cv::parallel::tbb::ParallelForBackend::numThreadsMax
| protected

The documentation for this class was generated from the following file:

- opencv2/core/parallel/backend/parallel_for.tbb.hpp